---
title: Update account profile
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Accounts](https://developers.cloudflare.com/api/go/resources/accounts)

[Account Profile](https://developers.cloudflare.com/api/go/resources/accounts/subresources/account_profile)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update account profile

client.Accounts.AccountProfile.Update(ctx, params) error

PUT/accounts/{account\_id}/profile

Updates the business profile (name, email, phone, address, and external metadata) associated with this account’s parent organization customer record. Changes apply to every account and organization sharing that profile. Omitted or empty fields are left unchanged. Only available to members of an organization that contains the account. Requires Account Settings Write permission.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### Accepted Permissions (at least one required)

`Account Settings Write`

##### ParametersExpand Collapse

<details>

<summary>

params AccountProfileUpdateParams

</summary>

AccountID param.Field\[string]

Path param: The ID of the account whose business profile to update.

<a href="#(resource)%20accounts.account_profile%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

AccountProfile param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/accounts#(resource)%20accounts.account_profile%20%3E%20(model)%20account_profile%20%3E%20(schema)">AccountProfile</a>]

Body param

<a href="#(resource)%20accounts.account_profile%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_profile">Link to this property</a>

</details>

[Link to this property](<#(resource)%20accounts.account_profile%20%3E%20(method)%20update%20%3E%20(params)%20default>)

### Update account profile

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/accounts"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  err := client.Accounts.AccountProfile.Update(context.TODO(), accounts.AccountProfileUpdateParams{
    AccountID: cloudflare.F("account_id"),
    AccountProfile: accounts.AccountProfileParam{
      BusinessAddress: cloudflare.F("business_address"),
      BusinessEmail: cloudflare.F("business_email"),
      BusinessName: cloudflare.F("business_name"),
      BusinessPhone: cloudflare.F("business_phone"),
      ExternalMetadata: cloudflare.F("external_metadata"),
    },
  })
  if err != nil {
    panic(err.Error())
  }
}
```

##### Returns Examples